#ifndef PW_SCENE_TRANSFORM_HPP
#define PW_SCENE_TRANSFORM_HPP

#include <pw/core/matrix.hpp>
#include <pw/scene/component.hpp>

namespace pw {

class transform : public component {
public:

    using component::component;

    const matrix44d& local() const;
    void set_local(const matrix44d &local);

    void set_global(const matrix44d &global);

    void update();

protected:

    matrix44d _local;

    matrix44d _global;
    matrix44d _global_inverse;

};



}

#endif
